% Example continuous-time (analog) unit step signal
% Course: Analog and Digital Filter Design
% Lecture: Review Signals
% Authors: Miroslav D. Lutovac, Dejan V. Tosic
% Email: lutovac@kondor.etf.bg.ac.yu
% Web: http://kondor.etf.bg.ac.yu/~lutovac/
% Copyright (c) 2004 by Lutovac & Tosic
% $Revision: 1.00 $  $Date: 2004/11/29$
% See also: Miroslav D. Lutovac, Dejan V. Tosic, Brian L. Evans
%  Filter Design for Signal Processing Using MATLAB and Mathematica
%  Prentice Hall (c)2001. ISBN 0-201-36130-2

clear all, close all, clc

analogSignal = inline('t>0', 't');

t1 = -2;
t2 = 6;
timeRange = [t1, t2];

fplot(analogSignal, timeRange)

xlabel('t')
ylabel('u')
title('Unit step signal')
axis([timeRange -0.1 1.1])